## org.eclipse.amp.examples.heatbugs
Class HeatBug

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.eclipse.amp.examples.heatbugs.HeatBug

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class HeatBug

extends CellOccupant

Heat Bug Java Implementation. Generated by AMF for model: Heatbugs.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary
`static DataPoint` `MAXIMIZE_HEAT` A data point used within a search to find the Heat Cell with the maximized Heat value.
`static DataPoint` `MINIMIZE_HEAT` A data point used within a search to find the Heat Cell with the minimized Heat value.

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`HeatBug()` Constructs a new Heat Bug.

Method Summary
`void` `calculateTimeStep(int timeStep)`
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`java.util.List<IAgentChild>` `getChildren()`
`Heatbugs` `getHeatbugs()`
`double` `getIdealTemperature()` Gets the Ideal Temperature property for Heat Bug.
`java.lang.String` `getName()`
`double` `getOutputHeat()` Gets the Output Heat property for Heat Bug.
`long` `getUID()`
`double` `getUnhappiness()` Derive Unhappiness.
`double` `idealTemperatureDraw()` Calculate Ideal Temperature Draw.
`void` `initializeState()` Initialize State Initialization.
`void` `intializeNonFramework()` Initialize Initialization.
`double` `outputHeatDraw()` Calculate Output Heat Draw.
`void` `seekHeatRule()` Seek Heat Rule Rule.
`void` `setIdealTemperature(double _idealTemperature)` Sets the Ideal Temperature property for Heat Bug.
`void` `setOutputHeat(double _outputHeat)` Sets the Output Heat property for Heat Bug.
`void` `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Field Detail

### MAXIMIZE_HEAT

    public static final DataPoint MAXIMIZE_HEAT

  A data point used within a search to find the Heat Cell with the maximized Heat value.

### MINIMIZE_HEAT

    public static final DataPoint MINIMIZE_HEAT

  A data point used within a search to find the Heat Cell with the minimized Heat value.

Constructor Detail

### HeatBug

    public HeatBug()

  Constructs a new Heat Bug.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getHeatbugs

    public Heatbugs getHeatbugs()

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### intializeNonFramework

    public void intializeNonFramework()

  Initialize Initialization. Executed once at the beginning of each model run.

### seekHeatRule

    public void seekHeatRule()

  Seek Heat Rule Rule. Executed every period.

### initializeState

    public void initializeState()

  Initialize State Initialization. Executed once at the beginning of each model run.

### idealTemperatureDraw

    public double idealTemperatureDraw()

  Calculate Ideal Temperature Draw.

### outputHeatDraw

    public double outputHeatDraw()

  Calculate Output Heat Draw.

### getUnhappiness

    public double getUnhappiness()

  Derive Unhappiness.

### getIdealTemperature

    public double getIdealTemperature()

  Gets the Ideal Temperature property for Heat Bug.

  Returns:

### setIdealTemperature

    public void setIdealTemperature(double _idealTemperature)

  Sets the Ideal Temperature property for Heat Bug.

  Parameters:
    `_idealTemperature` - the new Ideal Temperature value

### getOutputHeat

    public double getOutputHeat()

  Gets the Output Heat property for Heat Bug.

  Returns:

### setOutputHeat

    public void setOutputHeat(double _outputHeat)

  Sets the Output Heat property for Heat Bug.

  Parameters:
    `_outputHeat` - the new Output Heat value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`